* 3.02 2011-12-10
  - Upgraded Linux kernel from 2.6.37 to 3.1.2.
  - Patched the kernel for Reiser4 mount support.
  - Added xfsprogs-3.1.4.
  - Added progsreiserfs-0.3.0.5.
  - Added ufs-tools-0.1.
  - Added vmfs-tools-0.2.1.
  - Added jfsutils-1.1.15.
  - Added libjfs-dev-1.1.12-2.2 (to no avail!)
  - Added libufs2_7.2-2.
  - Added partclone-0.2.24 (everything except jfs).
  - Upgraded dhcpcd from 5.1.5 to 5.2.12.

* 3.01 2011-02-23
  - Upgraded Linux kernel from 2.6.33.2 to 2.6.37.
  - Upgraded e2fsprogs from 1.40.2 to 1.41.14.
  - Upgraded grub from 0.97 to 1.98.
  - Upgraded fuse from 2.8.3 to 2.8.5.
  - Upgraded ntfs-3g from 2010.1.16 to 2010.10.2.
  - Upgraded Samba from 3.4.5 to 3.5.6.
  - Upgraded LVM2 from 2.02.60 to 2.02.81.
  - Upgraded e2fsprogs from 1.41.9 to 1.41.14.
  - Upgraded parted from 2.1 to 2.3.
  - Upgraded openssl from 0.9.8l to 1.0.0c.
  - Upgraded lftp from 4.0.5 to 4.1.3.
  - Upgraded openssh from 5.3p1 to 5.6p1.
  - Upgraded clamav from 0.95.3 to 0.96.5.
  - Upgraded curl from 2.19.7 to 2.21.3.
  - Upgraded fuse-zip from 0.2.12 to 0.2.13.
  - Upgraded dmraid from 1.0.0-rc15 to 1.0.0-rc16.
  - Upgraded hdparm from 9.27 to 9.36.
  - Upgraded nasm from 2.08rc6 to 2.09.03.
  - Upgraded syslinux from 3.84 to 4.03.
  - Upgraded ixgbe from 2.0.62.4 to 3.0.17.
  - Upgraded mdadm from 2.6.9 to 3.1.2.
  - Added multipath-tool 0.4.8 (kpartx).
  - Intel Software RAID (ISW fakeraid) now handled.
  - Added wget 1.12.
  - Added lynx 2.8.7.

* 3.00.04 2010-04-16
  - Added extlinux (from syslinux-3.82) to the image.
  - Sub Synchronize_Device() now triggers udev, so to make sure /dev/xxx
    will be here.
  - New parameters:
    - Verbosity (0, 1 or 2)
    - Unique_Message (useful is Verbosity is set to 0)
  - Linux kernel upgrades from 2.6.30.4 to 2.6.33.2.
  - Upgraded partimage from 0.6.4 to 0.6.8
  - Upgraded parted from 1.8.8 to 2.1
  - Upgraded fuse from 2.8.0-pre3 to 2.8.3
  - Upgraded ntfs-3g from 2009.4.4 to 2010.1.16
  - Upgraded popt from 1.6.4 to 1.14
  - Upgraded newt from 0.52.2 to 0.52.11
  - Downgraded binutils from 2.19 to 2.16.1
  - Upgraded samba from 3.4.0 to 3.4.15
  - Upgraded dhcpcd from 3.1.8 to 5.1.5
  - Upgraded LVM2 from 2.02.49 to 2.02.60
  - Upgraded openssl from 0.9.8k to 0.9.8l
  - Upgraded lftp from 3.7.11 to 4.0.5
  - Upgraded smake from 1.2a41 to 1.2
  - Upgraded openssh from 5.2p1 to 5.3p1
  - Upgraded clamav from to 0.95.3
  - Upgraded et131x from 1.2.3  -5 to 1.2.3
  - Upgraded curl from 7.19.5 to 7.19.7
  - Upgraded libzip from 0.9 to 0.9.3
  - Upgraded fuse  -zip from 0.2.7 to 0.2.12
  - Upgraded hdparm from 9.16 to 9.27
  - Upgraded testdisk from 6.10 to 6.11
  - Upgraded syslinux from 3.82 to 3.84
  - Upgraded e2fsprogs from 1.40.2 to 1.41.9
  - Upgraded nasm from 2.07 to 2.08rc6
  - Added ixgbe 2.0.62.4 (generic Intel NIC module driver)
  - Removed ATL2 drivers from the modules, as they are now part of the kernel.

* 3.00.03 2009-08-01
  - Linux kernel upgraded from 2.6.29 to 2.6.30.4.
    Some more NIC and SATA drivers added.
  - Upgraded fuse from 2.8.0-pre2 to 2.8.0-pre3.
  - Upgraded ntfs-3g from 2009.2.1 to 2009.4.4.
  - Upgraded samba from 3.2.7 to 3.4.0.
  - Upgraded LVM2 from 2.02.45 to 2.02.49.
  - Upgraded Openssh from 4.6p1 to 5.2.
  - Upgraded dosfstools from 2.11 to 3.0.3.
  - Upgraded ATL2 drivers from 2.0.4 to 2.0.5.
  - Upgraded ClamAV from 0.94.2 to 0.95.2.
  - Removed et13x drivers -- could not be compiled any more.
    Maybe again in the future ?
  - Upgraded curl from 7.18.2 to 7.19.5.
  - Upgraded fuse-zip from 0.2.5 to 0.2.7.
  - Upgraded dmraid from 1.0.0-rc14 to 1.0.0-rc15.
  - Upgraded hdparm from 9.13 to 9.16.
  - Upgraded reiser4progs from 1.0.6 to 1.0.7.
  - Upgraded reiserfsprogs from 3.6.19 to 3.6.21.
  - Removed ATL1e drivers from the modules, as they are now part of the kernel,
    though tagged as experimental.
  - Upgraded dmidecode from 2.9 to 2.10.

* 3.00.02 2009-03-30
  - Linux kernel upgraded from 2.6.27.7 to 2.6.29.
    Please, note that as a consequence, modules for NICs
    Atl2 and et131x cannot compile any more. However, the
    new kernel sources seem to integrate drivers for these
    hardware components. Feedback will be needed.
  - ntfs-3g upgraded from 1.5130 to 2009.2.1.
  - samba upgraded from 3.2.7 to 3.3.2.
  - clam AV definitions upgraded to 2009-03-30.
  - device-mapper upgraded from 1.02.26 to 1.02.28.
  - hdparm upgraded from 8.9 to 9.13.
  - lftp upgraded from 3.7.3 to 3.7.11.
  - LVM2 upgraded from 2.02.43 to 2.02.45.
  - sshfs-fuse upgraded from 2.0 to 2.2.

* 3.00.01 2009-01-09
  - Updated fuse from version 2.7.3 to 2.8.0-pre2.
  - Updated ntfs-3g from 1.2531 to 1.5130.
  - Updated Samba from 3.2.4 to 3.2.7.
  - Updated LVM2 from 2.02.38 to 2.02.43.
  - Added compressor lzop 1.02rc1 to the image.
    We might decide some day to use it, rather than gzip or bzip2
    (note that using mknod -p with lzo and partimage with no
    compression resulted in a partimage process hanging. Sadly.)

* 3.00.00 2008-12-22
  - Linux kernel upgraded from 2.6.26.5 to 2.6.27.7.
  - Added dm-raid45 patch to the kernel.
  - Added drivers for Attansic 1e (ASUS Atheros NICs).
  - Samba upgraded from 3.2.3 to 3.2.4.
  - CLAM AV upgraded from 0.93.1 to 0.94.
  - Added vol_id to the OS (part of udev), so to get filesystems'
    labels, and maybe restore them one day (out of the BS-dd way).
  - Removed smbmount, smbmnt, smbumount. These antiquities were older
    than the samba package installed, and could lead shell users to
    confusion.
  - Added Reiser4Progs 1.0.6 and ReiserFSProgs 3.6.19 to the OS,
    so we can now play with Reiser filesystems.
  - Added Testdisk 6.10 to the OS. Can recover a partition table,
    the MBR, a bootsector, partitions ... great app. Includes Photorec.
  - If the user has forgotten to unzip Partimage.zip to the dir
    he wants to store images in, we'll now create the
    Create_New_Image directory, but not the other ones.
  - Detects unused segments in devices (so we could expand parts).
  - Little bug fix: a cciss directory on a bootable media would
    not be detected (thx Superdac).
  - Added the parameter Extend_Parts_Whenever_Possible.
    Sometimes, you'll restore images to a bigger drive.
    Sometimes, there will be empty space after or between parts.
    Set this parameter to Y if you want PING to extend partitions
    and contained filesystems each time it's possible. If the
    param is not set, PING will ask the user.
  - Reports the end of the /var/log/partimag-debug.log in /tmp/x.log.
  - Don't try any more to use ntfsresize if the unused space is
    ridiculously small --wouldn't do anything anyway.
  - If there's only one partition and you want a local backup,
    PING will now resize not only NTFS but also ext2-3, fat32,
    and hsf+ filesystems (using parted and resize2fs, as parted
    can't handle ext2/3 any more).
  - The antique Partimage.zip's folder Partition_and_Format_ANY_Computer
    has been removed. Instead, write a file in an image directory, and
    call it HDD_Target.txt . Copy the structure of a HDD_Look.txt file
    and adjust to what you want your HDD to look like.
  - The antique Partimage.zip's folder Backup_Local_Hard_Disk has
    been removed. Instead, create an image and ask for tar/gz instead
    of partimage or zsplit.
  - No more .part ; these files must be replaced with a HDD_Target.txt
    file. Sorry, no choice.
  - You can now choose tar+gzip/bzip2 instead of partimage or zsplit.
    I guess this should especially help people cloning linux systems.
    If used to clone a Windows system, ACLs won't be restored.
  - Finally! finally, in the menu used to choose what partitions to
    store, loop until an item is chosen (the Space Bar thing).
    Honestly, let's call it a Bug fix.
  - If an addon-*.tar.gz/.zip file is stored in an image directory, it
    will be untarred to the root of the PING OS before any other image
    file is addressed.
  - If a ping.conf file is stored in an image directory, it will be
    parsed before all other image files are addressed (but second to a
    possible addon-*.tar.gz). The contained parameters will overwrite
    those eventually passed by /etc/ping.conf or the APPEND line of
    syslinux.
  - Add a screen warning if there's data on the disk and it's going
    to be overwritten -- except if AUTO mode is set on, or if new
    param Dont_Warn_Me is set on.
  - Linux kernel: added drivers for nVidia IDE.
  - Linux kernel: added drivers for Marvell SATA (experimental).
  - Dell fix: we now propose users to let us do the job for them.
    If they let us do, when creating an image out of a Dell box,
    we'll store only the part containing the OS and not the two
    Dell parts. We'll also fix the boot.ini for it to boot the now
    first part, and will prepare a HDD_Target.txt file so restoration
    will use all available space on the drive. Finally, at restore
    time, we'll write a standard MBR instead of Dell's, and will
    correct the boot sector in order to let it know there's no more
    Dell Utility partition. Should boot.
  - Howto: mention Unetbootin as a good tool to have a USB device
    boot PING.
  - Bug fix: the modules were stripped and wouldn't work any more.
  - Bug fix: add devices sde and sdf to the devices browsing. Thx Daniel.
  - Bug fix: PING would incorrectly handle systems with more than one HDD.
  - Added kernel/ping.conf parameters New_Image_Name and Parts_To_Backup
    so to make it possible to pass "Create_New_Image" as a value for
    parameter Image_To_Restore, and have a full image creation automated
    with no user interaction. See the sample ping.conf file and the
    Howto for details.
  - Incremental imaging (mainly done by adding archives to a preexisting
    image).
  - Added kernel/ping.conf parameter Already_Existing_Image.
    If there's already an image in your Directory called
    after the New_Image_Name you have set, you might define here
    what PING should do with the Already_Existing_Image parameter.
    Set it either to "Replace" (old dir will be removed), either to
    "Rename" (old dir will be renamed to xxx.OLD.YYYYMMDDHHMMSS),
    either to "Update". The Update choice is only possible when the
    preexisting image has been made with version 3.00 or greater
    of PING, and if a xxxx.RecFiles.txt have been recorded (ex.:
    sda1.RecFiles.txt for partition /dev/sda1), containing the
    sizes and checksums of all files found on the part's filesystem.
    And if you set Already_Existing_Image to "Update,Replace",
    PING will try to update, but Replace if there's no
    xxxx.RecFiles.txt. "Update,Rename" is the last possible choice.
  - Remind basic shell help when dropping users to a shell.
  - If image files are called 'askme_a', 'askme_b', etc. the user will
    be asked for the target drive. So, if you've recorded, say, a
    SATA drive and got files sda, sda1.000, sda1.001, rename them
    to askme_a, askme_a1.000, askme_a1.001.
  - Bug fix: CIFS => username can now be blank.
  - No more SMBFS. CIFS is now the only choice (kernel 2.6.27+).
  - Added dmidecode 2.9 to the image.
  - Added a splash screen to our isolinux.
  - Addon files can now be called as well addons-*.zip .

* 2.01.19 2008-09-17
  - Added dmraid to the OS. So we'll finally handle fakeraid.
  - Added fuse-zip 0.2.5 to the OS so to be able to mount
    zip archives.
  - Added hdparm 8.9 to get info on HDD devices and possibly
    adjust them so to get better speed.
  - Little bug fix: an image with a .part file but no file named
    after the device (for ex.: sda) would be ignored. A workaround
    was to create a zero-byte file called after the device -- this
    is not needed any more.
  - Little bug fix: in the case of LVM, the name of the logical
    volumes could not contain a _ character (thx, Mark G.).
  - Little bug fix: a Cmd_2 would be launched in batch mode,
    preventing interactivity.
  - Little bug fix: if you had zsplitted files in an image directory,
    PING would ask for the choice of a target device (no consequence).
  - Kernel: unset the CONFIG_IDE_GENERIC option. Might finally solve
    the performance issue reported on several SATA devices.

* 2.01.18 2008-09-09
  - Linux kernel upgraded from 2.6.26.3 to 2.6.26.5.
  - Little bug fixes in rc.ping.
  - Leave with a message if the user tries to make an image out
    of a Dell station containing a Dell Utility partition. Right
    now, it just doesn't work. Maybe in the future.

* 2.01.17 2008-09-09
  - Added S-Tar 1.5a89. Usual tar is now replaced by a symlink
    from star to tar. S-Tar has plenty of interesting features.
  - Added 7-Zip 4.58.
  - Oops, the kernel needed static Intel e1000 drivers. Back.
  - Moreover zipped archives (ex.: sda1.000.zip), several other
    formats are now accepted: .tar, .tar.gz, .tar.bz2, .tar.7z, .7z.

* 2.01.16 2008-09-07
  - Linux kernel upgraded from 2.6.26 to 2.6.26.3.
    Kernel's .config is back to what it was in PING 2.01.12
    (as some Intel controllers did not work any more, preventing
    SATA drives from being recognized -- cause is still unknown).
  - Added 'NFS_Preferred' to the standard isolinux.cfg's kernel
    parameters. The settings we usually use to map a Microsoft
    share (SMBFS or CIFS) will work same if NFS_Preferred is set
    to 1, except that we'll use the NFS protocol.
  - Added curl and curlftpfs to the OS image.
    As a result, FTP has been added to the list of supported
    protocols. Curlftpfs will be used to actually mount a FTP
    site, making FTP transferts go smoothly. So far, restorations
    have been tested succesfully, but image creation won't work.
    The 'FTP_Preferred' parameter has been added to the kernel
    parameters. Parameters 'Server', 'User', 'Passwd' and
    'Directory' can be used too.
  - PING can now store an image onto a local, dirty, NTFS partition.
  - Added the Force_Dirty_NTFS_Mount parameter.
    If set to Y, we'll mount R/W NTFS filesystems even if they
    have the dirty flag set. It's not recommended, of course,
    but it might help sometimes.
  - Don't map /mnt/smbfs if the directory is not empty. So users can
    mount it the way they like, for example with a addon-xxx.tar.gz
    file and commands to be called before PING shows menus (Cmd_1).
    Use this feature if you wish to implement sshfs.
  - Samba upgraded from 3.0.30 to 3.2.3. As a result, mount.cifs
    should now support DFS.
  - Upgraded syslinux from 3.54 to 3.71.
  - When creating an image, PING will now add to the image directory
    a file called HDD_Look.txt. Its purpose is to describe the disk
    drive(s) from which the image has been made. It's absolutely
    useless right now, but this might change some day.
  - When trying to restore an image made on a PATA drive (called for
    example by linux hda) to a SATA drive (called sda), previous
    versions of PING would complain and leave. Now, if the expected
    target device cannot be found, PING will propose to choose among
    detected HDDs. If there's only one possible choice and you don't
    want any possible interaction to be given to the user, there's
    also a new parameter you can pass to the kernel APPEND line or
    to the /etc/ping.conf file: set parameter Its_HDA_Stupid to Y.
  - If in an image directory already containing for ex. sda1.000,
    you add an archive called sda1.zip, then PING will first restore
    the partimaged file sda1.000, then afterwards, unzip the archive
    to the root of the restored filesystem. This should make it
    faster to slightly update already written images.
    You can also add several archives; call them sda1.000.zip,
    sda1.001.zip, and so on.
  - Upgraded intel e1000 drivers from 8.0.1 to 8.0.3.1.
  - Added these parameters to the default proposed APPEND line:
    nomce pci=nommconf pci=nomsi irqpoll

* 2.01.15 2008-08-03
  - Added the possibility to write 'skip' at the PING welcome screen.
    This will erase all params passed to the kernel or through the
    ping.conf and asks all questions. Useless except for testing...
  - Small fix to sub Read_Dir(), so it will re-order correctly files
    of images containing cciss|rd|ida subdirs.
  - One bug occurred with images spanned in several CD/DVDs. If you
    had, for example, hda1.* files on CD #1 and hda2.000 on CD #2,
    CD #2 would not be loaded for the restoration to complete. If
    you had hda1.* files on CD #1 and other hda1.* files on CD #2,
    it would work fine. This has been fixed.

* 2.01.14 2008-08-01
  - Upgraded linux kernel from 2.6.25.7 to 2.6.26.
    Reverted kernel's config to what it was in PING 2.01.12. New
    (and rare) SATA devices were identified, but several PATA
    controllers have been reported to become unknown. VMWare's IDE
    controller was in this case, too. We keep the NIC new drivers.
  - Explain the meaning of the "No HDD device could be found. Will
    do nothing" message better.
  - Added a way to have a locally-stored image restored with no
    interactivity. The param to use is still Server, but it can
    now be set with local devices names rather than an IP. Look at
    ping.conf or at the Howto for details and samples.
  - When browsing folders containing images, we won't show anymore
    folders which names start with 3 underscores (ex.: ___MyBetaImage),
    so to provide admins with an easy way to hide some images.
  - New ping.conf/kernel param: Compression_Type.
    Can be set to 'gzip', 'bzip2' or 'no compression'. If set, won't ask.
    Still quite useless, but we plan to make the creation of a new image
    entirely automatizable some day.

* 2.01.13 2008-06-20
  - Upgraded linux kernel from 2.6.24.4 to 2.6.25.7.
    Added new SATA (Marvell) and NIC (i82575, intel
    Pro/1000 + express) drivers.
  - Bug fix => typo on the ipconfig/dhcp handling part. Tks, mondo!
  - Added 'ide0=noprobe' to the standard isolinux.cfg's kernel params.
    Will make some SATA devices go *much* faster (just like
    'combined_mode=libata') -- thanks jss.
  - Added 'nomce' to the standard isolinux.cfg's kernel parameters.
    Prevents "Kernel Panic - CPU context corrupted" messages in the
    following situation:
      Some newer processors have the ability to self-monitor and detect
      inconsistencies that should not regularly happen. If an inconsistency
      is detected, a Machine Check Exception will take place and the system
      will be halted (rather than plundering forward and corrupting your
      data). You can use this argument to disable this feature, but be sure
      to check that your CPU is not overheating or otherwise faulty first.
    Reported to successfully change things with a Dell Vostro 1000.
  - Upgraded chntpw from 070923 to 080526.
  - Upgraded clamav from 0.92.1 to 0.93.1 (virus defs as well).
  - Upgraded devmapper from 1.02.08 to 1.02.26.
  - dhcpcd still version 3.1.8; upgrade to 3.2.3 planned (mid-term);
    version 3.2.3 seems hard to compile.
  - Upgraded dvd+rw-tools from 7.0 to 7.1.
  - Upgraded intel e1000 drivers from 7.6.15.4 to 8.0.1 -- as a module.
    Note that the new kernel has been built with native, static, new
    e1000 drivers as well. Looking for any error report from the user
    community.
  - Upgraded et131x drivers from 1.2.3-2 to 1.2.3-3 -- as a module.
  - Upgraded fuse from 2.7.2 to 2.7.3.
  - Upgraded grub from 1.95 to 1.96.
  - Upgraded lftp from 3.5.11 to 3.7.3.
  - Upgraded LVM2 from 2.02.26 to 2.02.38.
  - Upgraded ntfs-3g from 1.1120 to 1.2531.
  - Upgraded samba from 3.0.28 to 3.0.30.
  - Upgraded sshfs-fuse from 1.9 to 2.0.

* 2.01.12 2008-03-12
  - New ping.conf/kernel param: Restore_Only.
    Set it to Y if you don't want the user nor to be proposed
    to create a new image, nor to be able to do so.
  - Added the driver ServerWorks / Apple K2 SATA in the kernel.
    This should bring support for some specific Dell servers'
    SATA drives.
  - Upgraded dhcpcd from 3.1.8 to 3.2.3.
  - Upgraded linux kernel from 2.6.24.3 to 2.6.24.4.
  - Added combined_mode=libata to the standard isolinux.cfg's
    kernel parameters. Permits linux to see intel's SATA
    controllers as SATA and not as IDE even if the BIOS
    settings are set to legacy mode. This ensures PING will
    create sda* files and not hda*, and improves speed a lot.

* 2.01.11 2008-03-05
  - Upgraded linux kernel from 2.6.23.12 to 2.6.24.3.
  - Upgraded the e1000 driver module from 7.6.9 to 7.6.15.4.
  - Bug fix: tries all cifs possible syntaxes before giving
    smbfs a try.
  - Added SSHFS-Fuse 1.9.
  - Added zip and unzip 5.52.
  - Updated ATL2 drivers from 1.0.40.2 to 2.0.4.
    ASUS Eee PC Atheros L2 Fast Ethernet should now work fine.
  - Bug fix: sub Delete_All_Parts() failed when there was only
    one part to delete and when it was extended. One pop() too much...
  - Consider SFS (type 42) (Windows Dynamic Volumes) as NTFS.
  - New ping.conf/kernel params: Cmd_1, Cmd_2 and Cmd_3.
    Cmd_1 is a command for PING to execute before the first blue
    welcome screen, Cmd_2 is a command for PING to execute after
    the mounting of SMB shares and Cmd_3 is a command for PING to
    execute at the end (before giving a shell or reboot or shutdown).
    Think of it as a tool to combine with a possible add-on.
  - Preliminary test to add: mount -t ntfs-3g vs.
    mount -t ntfs-3g ... -o ro. Means, need to shutdown windows
    properly (not hibernating), and/or run checkdisk (tks elonderin).
  - If addon-*.tar.gz files are found in the CD/DVD, untar them
    into the root. First use: adding CLAM AV as an optional add-on.
    Note: these addons can also be present in the network share
    containing the image directories.
  - Logs dd-commands' outputs.
  - Now sleeps 2 seconds before restoring with partimage. On some
    configs (DELL 745 Optiplex), this helps.
  - If ntfs label's length is greater than 8 chars, trim it.
    Otherwise, partimage will bug (seg fault). (Thks Dwfa & Curtis).
  - hda1.fir can be looked for as well as hda1.first_sectors (so
    uncorrectly-built ISOs can still be used).
  - Now defaults to CIFS rather than SMBFS.
  - Howto: updated the syslinux section concerning USB devices
    (tks Fubar Bundy).
  - Howto: updated to explain about VMWare SCSI (Tks tahussle).
  - Maybe bug fix: replaced "mount -t smbfs / cifs" by "mount.smbfs/cifs".
    Seems to work much better (no real idea why).

* 2.01.10 2007-12-20
  - Upgraded linux kernel from 2.6.23.9 to 2.6.23.12.
  - Upgraded Samba from 3.0.27a to 3.0.28.
  - Upgraded dhcpcd from 3.1.7 to 3.1.8.
  - Upgraded ntfs-3g from 1.1030 to 1.1120.
  - Upgraded fuse from 2.7.1 to 2.7.2.
  - The HDD discovery now stores every fdisk-available information,
    including start/end blocks, boot flag etc. We also store devices
    information, including number of heads/sectors by track/cylinders,
    according to fdisk-listed tables and according to the BIOS
    (the kernel feeds /proc geometry data according to the BIOS, and
    it's sometimes wrong.)
  - Give users the possibility to have PING reduce NTFS partitions
    to the maximum before backuping them. That way, such images
    can be restored to smaller partitions. After the recording,
    PING will restore the size of the partition to what it was
    first, and maximize the contained filesystem.
    Added ping.conf/isolinux.cfg parameter Minimize_Before_Storing.
  - Synchronize the partition after applying hda.first_sectors.
  - Samba authentication: accept blank usernames and passwords without
    garbage being displayed.
  - New subs -- HDD_Name(), Part_Number(), Nb_Parts(),
    Is_Part_Extended(), Synchronize_Device(), HDD_Describe(),
    Delete_All_Parts(), Recreate_All_Parts().

* 2.01.09 2007-12-14
  - Upgraded syslinux from version 3.30 to 3.54.
  - Added a paragraph in the Howto explaining how to set up
    a utility partition with PING inside.
  - Added a paragraph in the Howto explaining how to have
    Dell servers with Perc 4e/di controllers work with PING.
  - Given the possibility to choose no compression. Then,
    we'll pass -z0 to partimage. Notes:
    - No effect if zsplit is used.

* 2.01.08 2007-12-11
  - Sometimes, mount -t cifs (smbfs too?) only works with the
    mount -t xxx \\\\yyy\\zzz syntax, rather than //yyy/zzz.
    Now, we try both syntaxes.
  - Rewrote function Is_Network_On() to handle cases where
    dhcpcd mapped eth0 to fake IP 169.254.xxx.yyy.

* 2.01.07 2007-12-04
  - Updated samba from 3.0.26a to 3.0.27a.
  - Fixed an old bug: after entering bad SMB settings,
    we wouldn't go back to the right input screen.
  - Fixed an old bug: if both dhcpcd on eth0 and on eth1 fails,
    we try manually setting ifconfig. But we had forgotten to
    try ifconfig on eth1 *too*.
  - New entries to ping.conf/kernel params:
    - Zsplit_Preferred
      If set to y, we'll use zsplit and not partimage.
    - DHCP_Timeout
      If defined, dhcpcd will be passed a -t parameter.
      Note: if undefined, we won't ask the user, and won't pass
            any -t option to dhcpcd (=> default).
    - Image_To_Restore
      If defined, the script will look for this directory name
      in the directory containing the available images.
      Else, the directory will be browsed as usual, and the user
      will be able to choose which image to restore.
    - AUTO
      If you want NO QUESTION to be raised, no popup at all, set
      this value to Y. It's equivalent to creating an empty AUTO
      file on the root of a PING CD/DVD (which is now deprecated,
      yet still supported for backwards compatibility).
      Note: you've got to pass also all necessary params to PING.
            If the script needs some answers and finds no param,
            or no valid param, the user will obviously be asked
            for them.

* 2.01.06 2007-11-13
  - Bug fix: ntfsresizing was not working (case of one unique partition).
  - Upgraded linux kernel from 2.6.23.1 to 2.6.23.8.

* 2.01.05 2007-11-12
  - Get first 64 sectors of every device instead of 1 -- which
    might help us restore Grub sectors correctly (thanks Marijin & tkt).
  - Upgraded linux kernel from 2.6.23 to 2.6.23.1.
  - Compiled intel e1000 drivers as a module from Intel's e1000-7.6.9
    latest release, and removed kernel's version, which was compiled
    within the kernel binary. Now, 82566DM-2 NIC chipsets work fine.

* 2.01.04 2007-11-06
  - Upgraded linux kernel from 2.6.22.9 to 2.6.23.
    Some more SATA drivers.
  - Upgraded e2fsprogs from 1.39 to 1.40.2.
  - Upgraded ntfs-3g from 1.516 to 1.1030.
  - Upgraded fuse from 2.7.0 to 2.7.1.
  - Upgraded ntfsprogs from 1.13.1 to 2.0.0.
  - Upgraded dhcpcd from 3.1.5 to 3.1.7.
  - Upgraded cmospwd from 4.8 to 5.0.
  - Upgraded chntpw from 070409 to 070923.
  - Upgraded parted from 1.8.7 to 1.8.8.
  - Upgraded samba from 3.0.25a to 3.0.26a.
  - Re-downgraded partimage from 0.6.6 to 0.6.4 (missed it last time;
    apologizes to all concerned users for probable troubles).

* 2.01.03
  - If the user has provided a Server entry in ping.conf (or kernel
    params), do not ask any more if the backup/restore will be local
    or network. It's network.
  - Downgraded partimage from 0.6.6j to 0.6.4. Didn't work. Shit.

* 2.01.02
  - Bug fix: when an image was stored in a 2nd hdd and it had to
    be used to restore the 1st hdd, the menu would loop forever
    (thks Crulie).
  - Only displays shell help if asked (h to get it).
  - Stop getting the /var/log/partimage-debug.log file. Crap.

* 2.01.01
  - Upgraded the kernel from 2.6.22.6 to 2.6.22.9.
  - Upgraded partimage from 0.6.4 to 0.6.6j.
  - Windows RAID: we won't be able to mount the parts, yet they are
    OK and can be backuped. Don't abort any more if NTFS has been
    detectend and if we can't mount.
  - Bug fix: some times, we wouldn't dd the right device (thks Crulie).

* 2.01
  - Added the M to the zsplit chunk size (-s 660M). Thks Gurn!
  - Added drivers for Attansic L2 10/100 NICs. This driver can
    only be loaded as a module. Therefore, rc.ping now scans the
    module directories and installs every available .ko file
    before trying to get an IP.
  - Added ping.conf/kernel param option No_Shell to avoid giving
    the possibility for the user to get a shell.
  - Now adds /var/log/partimage-debug.log's log to /tmp/x.log.
    Well, not everything, it's over-big (uselessly).
  - Logs Linux and PING versions into the x.log log (tis really
    time, u know...)
  - Updated the Howto (more FAQs, better English). Thks Zian
    for the Frenglish corrections :) And thks Bobmetelsky for
    the tip about how to use rom-o-matic with PING.

* 2.00 RC9
  - Don't try dhcp any more if an IP has been given through a
    parameter (ping.conf / /proc/cmdline).

* 2.00 RC8
  - Replaced "'ifconfig eth0 down; dhcpcd eth0';" by
    "'ifconfig eth0 down; ifconfig eth0 up; sleep 2; dhcpcd eth0';"
    (helps on some configs ; thanks Devitek).
  - Asks whether the bios file, if found, should be restored or not.
    Added (ping.conf / /proc/cmdline)'s Replace_BIOS parameter,
    accordingly, to avoid the question.
  - Parses /proc/cmdline to collect parameters sent to the kernel
    at boot time. This is now an alternative to the /etc/ping.conf
    file, avoding to have to modify the initrd.gz image.
    If a parameter is found both in ping.conf and /proc/cmdline,
    the one located in /proc/cmdline will get the priority.
  - Mounting a network share: giving CIFS priority over SMBFS
    is now possible. Added (ping.conf / /proc/cmdline)'s
    CIFS_Preferred parameter, accordingly, to avoid the question.
    (CIFS has been reported to make network copies faster on some
    configs, and slower on other network configs!).
  - Added dosfstools (/sbin/mkdosfs which is also /sbin/mkfs.vfat)
    to the image. It had disappeared from 1.12 to 2.00 ; oops.
  - Upgraded FUSE from 2.6.5 to 2.7.0.
  - Updated linux kernel to 2.6.22.6.

* 2.00 RC7
  - Bug correction: the ntfsresize used to resize to the maximum of
    a NTFS part size was not being performed. Thanks to Devitek for
    the tip.
  - Minor fix: when a /etc/ping.conf file is found but isn't customized,
    display the tip. Now, there's always a commented out ping.conf file
    bundled in the image...
  - Added a basic reminder about most useful shell commands.
  - Bug correction: NTFS mountings were hanging on some systems for
    an unknown reason. Using the NTFS-3G driver rather than the
    native kernel driver seems to fix the bug. Thanks to kruhek.
  - Handle the case of Dell Utility partitions (type being "de").
    Don't try partimage on them any more, zsplit them!

* 2.00 RC6
  - Added a possibility to make the backup/image to another local drive.
    Not to the same drive the backup/image is taken from (another part).
    Should be feasible in a future version (by resizing & parting).
    Means right now that we try to inventory hda, hdb, hdc, sda, sdb, sdc.
    Maybe not exhaustive; this is first try.
  - No more need to hit space then enter. Modified the menu...
  - If the manual network connection went wrong, give the ifconfig output.
  - Give mount -t smbfs output too.
  - mount -t smbfs now passes a "password" (with quotes) -- thx Gedatsu.
  - Share's password is now hidden (new dialog installed, thx Fredz).
  - Looks for a /etc/ping.conf file to find network and smb parameters.
    If not found, then ask.
  - Partimage now generates 630 MB files. Better if a DVD is the target
    (7x630 = 4551 < 4.7 GB), and better for Captive-NTFS which fails for
    some reason creating files bigger than 1 GB.
  - After restoring, check if an image was smaller than disk capacity,
    and maximize. ping.conf keyword to add. NTFS only -- others need no help.
  - Stop discovering local hdd  'src', 'srd', 'sgc', 'sgd',
    'sra', 'srb', 'sga', 'sgb'. It has been reported that fdisk /dev/sga
    was hanging the system sometimes (thanks Sigurdi).
  - Proposes to choose between gzip and bzip2.
  - Ejects the CD when used (thx, Curtis).
  - Added support for HP SmartArray (/dev/cciss/c0d0 device)
    fdisk => Disk /dev/cciss/c0d0: 73.3 GB, 73372631040 bytes
    (thanks, Codd)
  - Fully automatic if /AUTO file found on the root of a CD/DVD.
  - When mount -t smbfs fails, try mount -t cifs (Windows Server 2003 case,
    related to AD security) -- thx, Arckane.
    => mount -t cifs //server/share /mnt/point -o \
       user=$username,domain=$domain,password=$password
  - Now the user can specify the behaviour at the completion of the job.
    Can either reboot, either give the user a bash shell. Or shutdown.
    A new entry in /etc/ping.conf is supported concerning the feature:
    After_Completion = reboot|shell|shutdown
  - Bug correction: we were looking for a /mnt/cdrom/^.da$ file, and in
    one specific case, a user built an image with hdc.001, 002... files.
    Replacing with ^[hs]d[abcde]$ :)
  - Added support for more RAID devices (/dev/ida/cXdY and /dev/rd/cXdY).
  - Make use of NTFS-3G too. The script detects whether Captive-NTFS or NTFS-3G
    is available, and make the right choice.
  - Add the possibility to choose which local parts to backup (partimage).
  - Add the possibility to choose on which local part to store the backup.
  - If for some reason partimage fails at writing an image,
    use zsplit | split instead.
  - We now try dhcp on eth0 and eth1, and check for a gateway, not just a n
    entry in ifconfig.
  - Keep 20 first sectors of each recorder partition. They may contain a boot
    sector, and LVM information (LVM is stored in 20x512 first bytes).
  - When a cdrom is detected, link /dev/cdrom to the right device.
  - When listing partitions, tell the NTFS label, or first directories
    found if no available label.
